[Python-modules-commits] [python-mplexporter] 01/01: add simple autopkgtest testsuite, just testing import

Wolfgang Borgert debacle at moszumanska.debian.org
Tue Oct 27 00:33:12 UTC 2015


This is an automated email from the git hooks/post-receive script.

debacle pushed a commit to branch master
in repository python-mplexporter.

commit a46091203956fb9c56a577f9ce8220d221a98536
Author: W. Martin Borgert <debacle at debian.org>
Date:   Tue Oct 27 01:32:11 2015 +0100

    add simple autopkgtest testsuite, just testing import
---
 debian/tests/control    |  5 +++++
 debian/tests/import-py2 | 11 +++++++++++
 debian/tests/import-py3 | 11 +++++++++++
 3 files changed, 27 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..95b9f03
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,5 @@
+Tests: import-py2
+Depends: python-mplexporter, python-all
+
+Tests: import-py3
+Depends: python3-mplexporter, python3-all
diff --git a/debian/tests/import-py2 b/debian/tests/import-py2
new file mode 100755
index 0000000..1d842a7
--- /dev/null
+++ b/debian/tests/import-py2
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -rv 2> /dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== python$py ==="
+	python$py -c 'import mplexporter' 2>&1
+done
diff --git a/debian/tests/import-py3 b/debian/tests/import-py3
new file mode 100755
index 0000000..dae9911
--- /dev/null
+++ b/debian/tests/import-py3
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -rv 2> /dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== python$py ==="
+	python$py -c 'import mplexporter' 2>&1
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-mplexporter.git



More information about the Python-modules-commits mailing list